#!/bin/sh
##
##  Partition Logic
##  Copyright (C) 1998-2004 J. Andrew McLaughlin
## 
##  check-tree.sh
##

# Check that all of the items in the install files are in the build tree

BUILD_DIR=../build/
BUILD_FILES=buildfiles.$$
INST_FILE="../dist/system/install-files"

# Get the list of all files in the build directory
(cd $BUILD_DIR; find *) > $BUILD_FILES

# Make sure each item listed in the install file is in the build tree
for FILE in `cat $INST_FILE | grep -v ^#` ; do
    (cd $BUILD_DIR ; ls .$FILE) >& /dev/null
    if [ $? -ne 0 ] ; then
	echo WARNING: File $FILE not in the build tree
    fi
done

rm -f $BUILD_FILES
